# Variable

open class Variable : AbstractLibrary

A variable library entry.

## Constructors

Variable
Link copied to clipboard
constructor(node: Node, fileReferenceFactory: FileReferenceFactory)
constructor(library: FileReference)

## Properties

COMPONENT_DEPENDENCY_ATTRIBUTE
Link copied to clipboard
val COMPONENT_DEPENDENCY_ATTRIBUTE: String = "org.eclipse.jst.component.dependency"
COMPONENT_NON_DEPENDENCY_ATTRIBUTE
Link copied to clipboard
val COMPONENT_NON_DEPENDENCY_ATTRIBUTE: String = "org.eclipse.jst.component.nondependency"
javadocPath
Link copied to clipboard
open var javadocPath: FileReference
library
Link copied to clipboard
open var library: FileReference
moduleVersion
Link copied to clipboard
open var moduleVersion: ModuleVersionIdentifier
sourcePath
Link copied to clipboard
open var sourcePath: FileReference

## Functions

appendNode
Link copied to clipboard
open fun appendNode(node: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
getAccessRules
Link copied to clipboard
open fun getAccessRules(): Set<AccessRule>
getEntryAttributes
Link copied to clipboard
open fun getEntryAttributes(): Map<String, Any>
getKind
Link copied to clipboard
open fun getKind(): String
getNativeLibraryLocation
Link copied to clipboard
open fun getNativeLibraryLocation(): String
getPath
Link copied to clipboard
open fun getPath(): String
hashCode
Link copied to clipboard
open fun hashCode(): Int
isExported
Link copied to clipboard
open fun isExported(): Boolean
setAccessRules
Link copied to clipboard
open fun setAccessRules(accessRules: Set<AccessRule>)
setExported
Link copied to clipboard
open fun setExported(exported: Boolean)
setNativeLibraryLocation
Link copied to clipboard
open fun setNativeLibraryLocation(location: String)
setPath
Link copied to clipboard
open fun setPath(path: String)
toString
Link copied to clipboard
open fun toString(): String
writeEntryAttributes
Link copied to clipboard
open fun writeEntryAttributes(node: Node)